Delete a Shift by External ID

This endpoint deletes a shift using its external ID. Once deleted, the shift will no longer be retrievable or editable. Token scopes: time-tracking:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

external_idstringRequired
The unique external identifier of the shift to be deleted.

Response

Shift deleted successfully. No content is returned.

Errors

401
Unauthorized Error
403
Forbidden Error